/* Dummy routines for things that don't get linked in all the time */
char *status_recent(void)
{
	return "";
}
int fx_total(void)
{
	return 0;
}
int is_reader(void)
{
	return 0;
}
void keeplog(char * arg_list, ...)
{
}
int chan_inspeed(int c)
{
	return 1000000;
}
int xxkeylib_check_file(char *s)
{
	return 1;
}
int xxkeylib_activate_get()
{
	return 1;
}
void mutex_wait(int i)
{
}
void mutex_release(int i)
{
}

void hist_freechan(int c)
{

}
int dnews_memdebug(void)
{
	return 0;
}
void echan_set(int x)
{
}
void user_addrej(int c)
{
}
void chan_closing(int c)
{
}
int lib_checkspace(void)
{
	return 1;
}
char *hist_status_s(void)
{
		return "";
}
/*
*/
char *slave_port(void)
{
	return "";
}
int slave_n(void)
{
	return 0;
}
int is_slave(void)
{
	return 0;
}
char *db_spool_dir(int d)
{
	return "";
}
int db_total_space(void)
{
	return 100;
}
char *new_make(int months, int users, int flags, char *host)
{
	return "";
}
int new_test(char *k, char *host, int *users, int *flags, char *expires)
{
	return 1;
}
int stats_clock(void)
{
	return 1;
}
void stats_add(char *s, int start_time, int start_clock)
{

}
void stat_start(int x) {}
void stat_end(int x) {}


int dom_free(void)
{
	return 1;
}
int dom_reload(void)
{
	return 1;
}
void dom_add(char *name, char *ip, char *org)
{
}
int dom_setdom(int chan)
{
	return 1;
}
char *config_get(int x);
char *dom_ini_get(int x)
{
	return config_get(x);
}
